ch.dieseite.colladaloader.demo

## Class ViewerGLAdapter

- java.lang.Object
- - PApplet
  - - ch.dieseite.colladaloader.demo.ViewerGLAdapter

-     public class ViewerGLAdapter
      extends PApplet

  This class is designed for tests only. It's not a required part of that package. Same code can be found at example pde

  The Idea of this code is a presentation of 3D by overriding Processing environment to get direct access to JOGL libraries (which Processing also includes) because some platforms don't support P2D or P3D of Processing.

  This source is free; you can redistribute it and/or modify it under the terms of the GNU General Public License and by nameing of the originally author

  Version:
    3.1
  Author:
    Markus Zimmermann http://www.die-seite.ch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GLAdapter` | `adapter`
    `(package private) ColladaModel[]` | `models`
    `(package private) boolean[]` | `modelsEnabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewerGLAdapter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `colorManipulations()`
    `void` | `draw()`
    `private void` | `drawColladaModel(ColladaModel model)`
    `void` | `keyPressed()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `mouseDragged()`
    `void` | `settings()`
    `void` | `setup()`
    `private void` | `shapeManipulations()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelsEnabled

          boolean[] modelsEnabled

    - #### adapter

          GLAdapter adapter

    - #### models

          ColladaModel[] models

  - ### Constructor Detail

    - #### ViewerGLAdapter

          public ViewerGLAdapter()

  - ### Method Detail

    - #### settings

          public void settings()

    - #### setup

          public void setup()

    - #### draw

          public void draw()

    - #### mouseDragged

          public void mouseDragged()

    - #### keyPressed

          public void keyPressed()

    - #### colorManipulations

          private void colorManipulations()

    - #### shapeManipulations

          private void shapeManipulations()

    - #### drawColladaModel

          private void drawColladaModel(ColladaModel model)

    - #### main

          public static void main(java.lang.String[] args)